Name: ngrep
Version: 1.40.1
Release: alt3

Summary: %name - network grep
License: BSD-style
Group: Monitoring
Url: http://%name.sourceforge.net/

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Patch1: %name-1.40.1-alt-compile.patch
Patch2: %name-1.40.1-alt-build.patch
Patch3: %name-1.40.1-alt-droppriv.patch
Prefix: %prefix

PreReq: shadow-utils
Requires: /var/resolv

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13

# Automatically added by buildreq on Tue Apr 09 2002
BuildRequires: libpcap-devel

%description
%name strives to provide most of GNU grep's common features,
applying them to the network layer.  %name is a pcap-aware tool that
will allow you to specify extended regular expressions to match
against data payloads of packets.  It currently recognizes TCP and
UDP across ethernet, ppp and slip interfaces, and understands bpf
filter logic in the same fashion as more common packet sniffing
tools, like tcpdump and snoop.

%prep
%setup -q -n %name
%__rm -rf -- pcre* regex*
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%set_autoconf_version 2.13
libtoolize --copy --force
autoconf
%configure --without-restart
%make_build

%install
%__install -pD -m755 %name $RPM_BUILD_ROOT%_sbindir/%name
%__install -pD -m644 %name.8 $RPM_BUILD_ROOT%_man8dir/%name.8

%pre
/usr/sbin/groupadd -r -f %name >/dev/null 2>&1
/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:

%files
%_sbindir/*
%_mandir/man?/*
%doc BUGS CHANGES COPYRIGHT CREDITS README TODO USAGE

%changelog
* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1.40.1-alt3
- Explicitly use autoconf-2.13 for build.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.40.1-alt2
- Relocated %_bindir/%name to %_sbindir/

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.40.1-alt1
- 1.40.1
- Fixed build.
- Rebuilt with libpcap-0.7.1.
- Drop privs and chroot to /var/resolv.

* Sun Mar 04 2001 Dmitry V. Levin <ldv@fandra.org> 1.39-ipl1
- 1.39

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 1.38-ipl2
- Rebuilt with libpcap-0.6.1.

* Sat Jul 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.38-ipl1
- updated to 1.38
- FHSification.

* Sun Feb 20 2000 Dmitry V. Levin <ldv@fandra.org>
- updated to 1.37

* Tue Oct 26 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 1.35

* Tue Sep 09 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
